import { get } from "../../utils/http"

// pages/orderBySuccess/orderBySuccess.js
Page({

  /**
   * 页面的初始数据
   */
  data: {
    orderdata: {},
    qrCodeUrl:'',//店长二维码
    store_id:"",//店铺ID
  },

  /**
   * 跳转首页
   */
  gotoHome() {
    wx.switchTab({
      url: '/pages/home/home'
    })
  },

  orderDetails:function(){
    wx.redirectTo({
      url: '../confirmProjectOrder/confirmProjectOrder?id='+this.data.orderdata.order_id,
    })
  },
  // 获取店长二维码
  getQrCode(){
    get('v2/api/order/url',{
      store_id:this.data.store_id
    },(res=>{
      this.setData({
        qrCodeUrl:res.data
      })
    }))
  },
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    console.log('options.orderdata')
    console.log(options)
    this.setData({
      orderdata: JSON.parse(options.orderdata),
      store_id:options.store_id,
    })
    // 获取店长二维码
    this.getQrCode()
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})